﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Panel 속성을 사용해 패널 마진 설정하기";

            this.tChart.Panel.MarginUnits  = PanelMarginUnits.Percent;
            this.tChart.Panel.MarginLeft   = 20;
            this.tChart.Panel.MarginTop    = 20;
            this.tChart.Panel.MarginRight  = 20;
            this.tChart.Panel.MarginBottom = 20;
            this.tChart.Panel.Pen          = new ChartPen(Color.Black);

            Bar bar = new Bar(this.tChart.Chart);

            bar.FillSampleValues();
        }

        #endregion
    }
}